%define oname banshee-1

%def_enable docs
%def_disable boo
%def_enable mtp
%def_enable ipod
%def_enable daap
%def_enable podcast
%def_enable video
%def_disable moonlight
%def_enable webkit
%def_enable notify
%def_disable torrent
%def_enable nunit

Name: banshee
Version: 1.5.1
Release: alt2
Summary: Easily import, manage, and play selections from your music collection
Group: Sound
License: MIT
Url: http://banshee-project.org/
Packager: Alexey Shabalin <shaba@altlinux.ru>

Source0: %name-%version.tar
Patch0: %name-%version-%release.patch

# From configure.in and build/m4/banshee
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libgtk+2-devel >= 2.8
BuildPreReq: gstreamer-devel >= 0.10.3
BuildPreReq: gst-plugins-devel >= 0.10.3
BuildPreReq: mono-devel >= 1.9.1
BuildPreReq: mono-data mono-data-sqlite
BuildPreReq: mono-web-devel
BuildPreReq: ndesk-dbus-devel >= 0.5
BuildPreReq: ndesk-dbus-glib-devel >= 0.3
BuildPreReq: mono-addins-devel >= 0.3
%{?_enable_boo:BuildPreReq: boo-devel >= 0.8.1}
%{?_enable_docs:BuildPreReq: monodoc-devel}
%{?_enable_nunit:BuildPreReq: mono-nunit-devel >= 2.4}
BuildPreReq: libtag-sharp-devel >= 2.0.3.2
BuildPreReq: libgtk-sharp2-devel >= 2.10
BuildPreReq: libgnome-sharp-devel >= 2.8
BuildPreReq: libsqlite3-devel >= 3.4
%{?_enable_mtp:BuildPreReq: libmtp-devel >= 0.2.0}
%{?_enable_ipod:BuildPreReq: libipod-sharp-devel >= 0.8.1}
%{?_enable_daap:BuildPreReq: mono-zeroconf-devel >= 0.7.3}
%{?_enable_moonlight:BuildPreReq: libmoon-sharp-devel >= 0.8}
%{?_enable_notify:BuildPreReq: libnotify-sharp-devel}
%{?_enable_torrent:BuildPreReq: monotorrent-devel >= 0.2}
%{?_enable_webkit:BuildPreReq: libwebkit-sharp-devel >= 0.2}
%{?_enable_video:BuildPreReq: libXrandr-devel >= 1.1.1 libXxf86vm-devel >= 1.0.1}
BuildPreReq: libclutter-devel

BuildRequires: GConf libGConf-devel gcc-c++ mono-mcs perl-XML-Parser
BuildRequires: /proc
BuildPreReq: rpm-build-mono rpm-build-gnome desktop-file-utils
PreReq: desktop-file-utils

%description
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

%package devel
Summary: Development files for Banshee
Group: Development/Other
Requires: %name = %version-%release

%description devel
Development files for Banshee Media Player

%if_enabled docs
%package doc
Summary: Development documentation for %name
Group: Documentation
Provides: %name-monodoc = %version-%release
Obsoletes: %name-monodoc 
BuildPreReq: monodoc
Requires: monodoc
BuildArch: noarch

%description doc
This package contains the API documentation for the %name in
Monodoc format.
%endif

%if_enabled ipod
%package ipod
Group: Sound
Summary: Ipod support for Banshee
Requires: %name = %version-%release

%description ipod
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

Install this package for iPod support in Banshee.
%endif

%if_enabled mtp
%package mtp
Group: Sound
Summary: MTP audio player support for Banshee
Requires: %name = %version-%release

%description mtp
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

Install this package for MTP audio player support in Banshee.
%endif

%if_enabled daap
%package daap
Group: Sound
Summary: DAAP audio player support for Banshee
Requires: %name = %version-%release

%description daap
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

Install this package for DAAP support in Banshee.
%endif

%if_enabled boo
%package boo
Group: Sound
Summary: Boo support for Banshee
Requires: %name = %version-%release

%description boo
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

Install this package for boo scripts support in Banshee.
%endif

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh \
	--enable-static=no \
	%{subst_enable boo} \
	%{subst_enable mtp} \
	%{subst_enable ipod} \
	%{subst_enable daap} \
	%{subst_enable podcast} \
	%{subst_enable moonlight} \
	%{subst_enable webkit} \
	%{subst_enable torrent} \
	--disable-schemas-install \
	--enable-release

# ACLOCAL="aclocal -I build/m4/banshee -I build/m4/shamrock"  %autoreconf
%configure \
	--enable-static=no \
	%{subst_enable boo} \
	%{subst_enable mtp} \
	%{subst_enable ipod} \
	%{subst_enable daap} \
	%{subst_enable podcast} \
	%{subst_enable moonlight} \
	%{subst_enable webkit} \
	%{subst_enable torrent} \
	--disable-schemas-install \
	--enable-release

# Non-parallel build
%make

%install
%make_install install DESTDIR=%buildroot

desktop-file-install --vendor gnome --delete-original		\
  --remove-category=X-Red-Hat-Base				\
  --remove-category=X-Novell-Main				\
  --remove-category=X-Ximian-Main				\
  --dir %buildroot%_desktopdir			\
%buildroot%_desktopdir/%oname.desktop

%find_lang --with-gnome %oname

%files -f %oname.lang
%doc COPYING AUTHORS README NEWS
%_bindir/*
%_libdir/%oname
%_desktopdir/*
%_datadir/dbus-1/services/*
%_datadir/%oname
%_iconsdir/hicolor/*/apps/*
%exclude %_libdir/%oname/*.la
%exclude %_libdir/%oname/*/*.la

%if_enabled ipod
%exclude %_libdir/%oname/Extensions/Banshee.Dap.Ipod.dll*
%endif
%if_enabled mtp
%exclude %_libdir/%oname/Mtp.dll*
%endif
%if_enabled daap
%exclude %_libdir/%oname/Extensions/Banshee.Dap.Mtp.dll*
%exclude %_libdir/%oname/Extensions/Banshee.Daap.dll*
%endif
%if_enabled boo
%exclude %_libdir/%oname/Extensions/Banshee.BooScript.dll*
%endif

%files devel
%_pkgconfigdir/*.pc

%if_enabled docs
%files doc
%_monodocdir/*-docs*
%endif

%if_enabled ipod
%files ipod
%_libdir/%oname/Extensions/Banshee.Dap.Ipod.dll*
%endif

%if_enabled mtp
%files mtp
%_libdir/%oname/Mtp.dll*
%_libdir/%oname/Extensions/Banshee.Dap.Mtp.dll*
%endif

%if_enabled daap
%files daap
%_libdir/%oname/Extensions/Banshee.Daap.dll*
%endif

%if_enabled boo
%files boo
%_libdir/%oname/Extensions/Banshee.BooScript.dll*
%endif

%changelog
* Thu Oct 15 2009 Alexey Shabalin <shaba@altlinux.ru> 1.5.1-alt2
- release 1.5.1 (1.6 beta2)
- enable webkit support

* Wed Jul 08 2009 Alexey Shabalin <shaba@altlinux.ru> 1.5.1-alt1
- 1.5.1 (1.6 beta2)
- update buildreq

* Wed Jun 03 2009 Alexey Shabalin <shaba@altlinux.ru> 1.5.0-alt1
- 1.5.0
- update BuildRequires
- build with nunit
- cleanup spec for build from git source
- build without boo

* Sat Mar 14 2009 Alexey Shabalin <shaba@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Thu Jan 29 2009 Alexey Shabalin <shaba@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Thu Nov 27 2008 Alexey Shabalin <shaba@altlinux.ru> 1.4.1-alt2
- add libGConf-devel to BuildRequires
- enable support boo
- doc, ipod, mtp, daap, boo supbackages

* Thu Nov 20 2008 Alexey Shabalin <shaba@altlinux.ru> 1.4.1-alt1
- 1.4.1
- enable support daap and ipod
- add suport moonlight and mediaweb(webkit), but disabled
- build with notify support

* Sat Oct 25 2008 Alexey Shabalin <shaba@altlinux.ru> 1.2.1-alt2
- rebuild with gnome-sharp-2.24

* Fri Aug 22 2008 Alexey Shabalin <shaba@altlinux.ru> 1.2.1-alt1
- initial build for ALTLinux

